moAnimalsConfig = {};


function moAnimalsConfig:onStartMission()
	moAnimals:loadAnimals();	
end;

function moAnimalsConfig:defaultValues()
	moAnimals.values = {animals={}, updateTimer=60, msec=false}
end;

function moAnimalsConfig:loadXml(self, Xml, xmlNameTag, file, isSaveGameIndex)
	if moAnimals.values == nil then moAnimalsConfig:defaultValues();end;
	local groupNameTag = (xmlNameTag.. ".module.animals(%d)"):format(0);
	if getXMLBool(Xml, groupNameTag.. "#mSecTimer") ~= nil then
		moAnimals.values.msec = getXMLBool(Xml, groupNameTag.. "#mSecTimer");
	end;
	if getXMLInt(Xml, groupNameTag.. "#updateTimer") then
		moAnimals.values.updateTimer = getXMLInt(Xml, groupNameTag.. "#updateTimer");
	end;
end;

function moAnimalsConfig:saveXml(self, Xml, xmlNameTag)
	if moAnimals.values == nil then moAnimalsConfig:defaultValues();end;
	----------------------------------------------------------------------------------------------
	local groupNameTag = (xmlNameTag.. ".module.animals(%d)"):format(0);
	setXMLInt(Xml, groupNameTag.. "#updateTimer", moAnimals.values.updateTimer);
	setXMLBool(Xml, groupNameTag.. "#mSecTimer", moAnimals.values.msec);
	----------------------------------------------------------------------------------------------	
end;

function moAnimalsConfig.onSaveCallback()
	moSetGetClientSettings:saveConfig(self);
end;

